
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #585

"Remove Unavailable Files" temporarily freezes UI

November 09, 2015 15:04 - Vitalii Cherniak

Status: New Start date: November 09, 2015

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category: core Estimated time: 0.00 hour

Target version:    

Affects version: 3.7   

Description

Steps to reproduce:

1) Prepare playlist with more than 20000 songs.

2) Select Playlist -> Remove Unavailable Files

Actual result:

Audacious UI freezes. If there were song play it will stop playing after song end.

Expected result:

Audacious UI have no freezes. Next song in the list start to play after played one ends. The best will be to add some progress on

"Remove Unavailable Files" operation.

Additional notes:

My music collection (>20k songs) is sshfs folder.

History

#1 - November 09, 2015 23:33 - John Lindgren

- Subject changed from Audacious UI and sound freezes on playlist manipulations to "Remove Unavailable Files" temporarily freezes UI

- Category set to libaudcore

- Priority changed from Major to Minor

Yes, "Remove Unavailable Files" is one operation that is still done in the UI thread.

#2 - December 02, 2019 20:51 - John Lindgren

- Category changed from libaudcore to core
